GetHotSegments
GET
/analytics/v1/videos/{video_id}/hot-segmentsPath Parameters
video_id*video_id
The video_id path parameter.
Length
1 <= lengthQuery Parameters
range.start?start
The range.start query parameter.
range.end?end
The range.end query parameter.
Response Body
200application/json
Success
type: unknown
{
"$ref": "#/components/schemas/analytics.v1.HotSegmentsResponse",
"$ref-value": {
"type": "object",
"properties": {
"segments": {
"type": "array",
"items": {
"$ref": "#/components/schemas/analytics.v1.HotSegment",
"$ref-value": {
"type": "object",
"properties": {
"start_second": {
"type": "integer",
"examples": [
"42"
],
"title": "start_second",
"format": "int32"
},
"end_second": {
"type": "integer",
"examples": [
"42"
],
"title": "end_second",
"format": "int32"
},
"multiplier": {
"type": "number",
"examples": [
"0.85"
],
"title": "multiplier",
"format": "double"
}
},
"title": "HotSegment",
"additionalProperties": false
}
},
"title": "segments"
}
},
"title": "HotSegmentsResponse",
"additionalProperties": false
}
}curl -X GET "https://api.rixl.com/analytics/v1/videos/FpzVPNx1cG/hot-segments"Success
application/json
{
"$ref": "#/components/schemas/analytics.v1.HotSegmentsResponse",
"$ref-value": {
"type": "object",
"properties": {
"segments": {
"type": "array",
"items": {
"$ref": "#/components/schemas/analytics.v1.HotSegment",
"$ref-value": {
"type": "object",
"properties": {
"start_second": {
"type": "integer",
"examples": [
"42"
],
"title": "start_second",
"format": "int32"
},
"end_second": {
"type": "integer",
"examples": [
"42"
],
"title": "end_second",
"format": "int32"
},
"multiplier": {
"type": "number",
"examples": [
"0.85"
],
"title": "multiplier",
"format": "double"
}
},
"title": "HotSegment",
"additionalProperties": false
}
},
"title": "segments"
}
},
"title": "HotSegmentsResponse",
"additionalProperties": false
}
}